#!/usr/bin/env python
# -*- coding: utf-8 -*-
# File  : main.py
# Author: My Duan
# Date  : 2022-02-28

import sys
import os
import mqBios

if __name__ == '__main__':

	if len(sys.argv) != 7:
		print("-Error in syntax!")
		print(
			"python main.py <trainGene_file> <trainTF_file> <testGene_file> <testTF_file> <gene_file> <output folder>")
		exit(-1)
	else:
		trainGene_file = sys.argv[1]  # data foder
		trainTF_file = sys.argv[2]  # output folder
		testGene_file = sys.argv[3] # run times
		testTF_file = sys.argv[4]
		gene_file = sys.argv[5]
		egFolderO = sys.argv[6]

		if not os.path.exists(egFolderO):
			os.makedirs(egFolderO)
		else:
			pass

		mqBios.model(trainGene_file, trainTF_file, testGene_file, testTF_file, gene_file, egFolderO)


# if __name__ == '__main__':
#
# 	trainGene_file = r'.\data\TrainGene.csv'
# 	trainTF_file = r'data\TrainTF.csv'
# 	testGene_file = r'data\TestGene.csv'
# 	testTF_file = r'data\TestTF.csv'
# 	gene_file = r'data\GeneAll.csv'
# 	egFolderO = 'output-v'
#
# 	if not os.path.exists(egFolderO):
# 		os.makedirs(egFolderO)
# 	else:
# 		pass
#
# 	mqBios.model(trainGene_file, trainTF_file, testGene_file, testTF_file, gene_file, egFolderO)

